FUNCTION GetConvRAMAvail: WORD;
VAR
   Regs: Registers;
BEGIN
     Intr($12,Regs);
     GetConvRAMAvail := Regs.ax;
END;

FUNCTION GetEMSStat: BOOLEAN;
VAR
   Regs: Registers;
   S,O: WORD;
BEGIN
     Regs.ah := $35;
     Regs.al := $67;
     Intr($21,Regs);
     S := Regs.es;
     O := Regs.bx;
     IF (S <> 0) AND (Mem[S:$0A] = 69) AND (Mem[S:$0B] = 77) AND (Mem[S:$0C] = 77) THEN
         GetEMSStat := TRUE
     ELSE
         GetEMSStat := FALSE;
END;

FUNCTION GetEMSVer: BYTE;
VAR
   Regs: Registers;
BEGIN
     Regs.ah := $46;
     Intr($67,Regs);
     GetEMSVer := Regs.al;
END;

FUNCTION GetXMSMem: WORD;
VAR
   Regs: Registers;
   ExtendedMem: WORD;
BEGIN
     Regs.ah := $88;
     Intr($15,Regs);
     IF ((Regs.Flags AND FCarry) <> 0) OR (Regs.AX = 0) THEN
         ExtendedMem := 0
     ELSE
         ExtendedMem := Regs.AX;
     GetXMSMem := ExtendedMem;
END;

PROCEDURE PrtMemory(Conv,XMS: WORD; EMS: BOOLEAN; EMSVer: BYTE);
BEGIN
     WRITELN(output,'Base Memory: ',Conv,'K');
     WRITE(output,'EMS Status : ');
     CASE EMS OF
          FALSE: WRITE(output,'No EMS Driver Present');
          TRUE : WRITE(output,'EMS Driver Present');
     END;
     WRITELN(output);
     WRITE(output,'EMS Version: ');
     IF EMS THEN
         WRITE(output,EMSVer DIV 16,'.',EMSVer MOD 16)
     ELSE
         WRITE(output,'0.0');
     WRITELN(output);
     WRITELN(output,'XMS Memory : ',XMS,'K');
END;
